Orders

Endpoints related to orders.

GET /order-streamics/

List all of the order in the system for your account.

List all of the order in the system for your account.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested order cannot be found.

POST /order-streamics/

Create a new order.

Create a new order.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /order-streamics/{uuid}/

Get a single order by UUID.

Get a single order by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /order-streamics/{uuid}/

Update a order by UUID.

Update a order by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /order-streamics/{uuid}/

Delete a order by UUID.

Delete a order by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
POST /order/<uuid:order_uuid>/clone/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-order/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /flat-order/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-order/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /flat-order/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /order/

List all of the order in the system for your account.

List all of the order in the system for your account.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested order cannot be found.

  • 400 Bad Request – invalid-payload: The value you provided for bureau does not appear to be a valid bureau The model does not seem printable An order with prints associated with a run cannot be deleted Provided status transformation is not allowed You cannot delete order which is already confirmed (this is not allowed for restricted and guest users). Order quote can’t be generated if order confirmed. Or, cannot be approved if there is no customer_po specified. There is a mismatch in the bureau of the requesting user and the bureau of the requested user The selected shipping type has no shipping instance configured anywhere in the bureau yet. Configure a shipping instance for this type before proceeding. The requested template name already exists.

POST /order/

Create a new order.

Create a new order.

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested order cannot be found.

  • 400 Bad Request – invalid-payload: The value you provided for bureau does not appear to be a valid bureau The model does not seem printable An order with prints associated with a run cannot be deleted Provided status transformation is not allowed You cannot delete order which is already confirmed (this is not allowed for restricted and guest users). Order quote can’t be generated if order confirmed. Or, cannot be approved if there is no customer_po specified. There is a mismatch in the bureau of the requesting user and the bureau of the requested user The selected shipping type has no shipping instance configured anywhere in the bureau yet. Configure a shipping instance for this type before proceeding. The requested template name already exists.

Response Headers:
  • Location – URI of the created resource

GET /order/{uuid}/

Get a single order by UUID.

Get a single order by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested order cannot be found.

  • 400 Bad Request – invalid-payload: The value you provided for bureau does not appear to be a valid bureau The model does not seem printable An order with prints associated with a run cannot be deleted Provided status transformation is not allowed You cannot delete order which is already confirmed (this is not allowed for restricted and guest users). Order quote can’t be generated if order confirmed. Or, cannot be approved if there is no customer_po specified. There is a mismatch in the bureau of the requesting user and the bureau of the requested user The selected shipping type has no shipping instance configured anywhere in the bureau yet. Configure a shipping instance for this type before proceeding. The requested template name already exists.

PUT /order/{uuid}/

Update an order by UUID.

Update an order by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 404 Not Found – The requested order cannot be found.

  • 400 Bad Request – invalid-payload: The value you provided for bureau does not appear to be a valid bureau The model does not seem printable An order with prints associated with a run cannot be deleted Provided status transformation is not allowed You cannot delete order which is already confirmed (this is not allowed for restricted and guest users). Order quote can’t be generated if order confirmed. Or, cannot be approved if there is no customer_po specified. There is a mismatch in the bureau of the requesting user and the bureau of the requested user The selected shipping type has no shipping instance configured anywhere in the bureau yet. Configure a shipping instance for this type before proceeding. The requested template name already exists.

DELETE /order/{uuid}/

Delete an order by UUID.

Delete an order by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource deleted successfully

  • 404 Not Found – The requested order cannot be found.

  • 400 Bad Request – invalid-payload: The value you provided for bureau does not appear to be a valid bureau The model does not seem printable An order with prints associated with a run cannot be deleted Provided status transformation is not allowed You cannot delete order which is already confirmed (this is not allowed for restricted and guest users). Order quote can’t be generated if order confirmed. Or, cannot be approved if there is no customer_po specified. There is a mismatch in the bureau of the requesting user and the bureau of the requested user The selected shipping type has no shipping instance configured anywhere in the bureau yet. Configure a shipping instance for this type before proceeding. The requested template name already exists.